Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

 

Department: FORSCHUNG Affected Products: ADTF 3.2.1, ADTF 3.3.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage:

Guten Tag,

wir überlegen für unser nächstes Projekt ADTF3 zu verwenden.

Eine offene Frage ist hierbei, wie sich ADTF in einer Umgebung mit Windows- und Linux-Maschinen verhält.

Wie einfach kann derselbe Code sowohl unter Windows als auch Linux verwendet und jeweils kompiliert werden?

(Linux für Linux, Windows für Windows und ggf. auch Cross-Kompilieren)

Wie viel plattformspezifischer Code ist in solchen Fälle zu erwarten? Gibt es hierzu technische Dokumentation oder Anleitungen,

die uns bei der Entscheidungsfindung unterstützen würden? Es wäre uns wichtig beide Betriebssysteme parallel verwenden zu

können.

Lösung:   

beide Betriebssysteme parallel verwenden zu könenn, ist bei uns als Standardfall ausgelegt.

Jeder plattformabhängige Code ist bei ADTF in unseren Utils gekapselt.

Als (End-) Anwender muss man sich nicht mit maschinenabhängigen Code befassen.

Eine Verwendnung in einer Windows und Linux Umgebung sollte ohne Probleme möglich sein.

Informationen zu den ADTF SDK Packages oder auch den ADTF Examples sind hier zu finden:

z.b. hier: https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivery.html

Der finale Release von ADTF 3.3.0 steht unmittelbar bevor. Aktuell ist auf der Homepage noch die 3.3.0 Beta hinterlegt.

History

#1 - 2018-03-13 10:46 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to VW

- Department set to FORSCHUNG

- Affected Products ADTF 3.2.1, ADTF 3.3.0 added

- Platform Ubuntu 16.04 64bit, Windows 7 64bit added

#2 - 2018-03-13 11:26 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Solved Issue

Hallo Hendrik,

deine Anfrage "Es wäre uns wichtig beide Betriebssysteme parallel verwenden zu können." ist bei uns als Standardfall ausgelegt.
Jeder plattformabhängige Code ist bei ADTF in unseren Utils gekapselt.

Als (End-) Anwender müsst Ihr euch nicht mit maschinenabhängigen Code befassen.

Eine Verwendnung in einer Windows und Linux Umgebung sollte ohne Probleme möglich sein.

Der finale Release von ADTF 3.3.0 steht unmittelbar bevor. Aktuell ist auf der Homepage noch die 3.3.0 Beta hinterlegt.

Habt Ihr Euch schon die (online) Dokumentation von ADTF 3 angesehen?

Diese findet Ihr hier: https://support.digitalwerk.net/adtf/v3/adtf_html/index.html

Hier sind u.a. auch Informationen zu den ADTF SDK Packages oder auch den ADTF Examples zu finden.

z.b. hier: https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivery.html

Hilft Dir dies schon weiter bez. beantwortet das Deine Anfrage?

Bitte um Rückmeldung bis zum 16.03.2018

#3 - 2018-03-16 10:41 - hidden

Hallo Hendrik,

Wir haben noch kein Feedback erhalten,

Bitte gib uns Feedback bis 20.03.2018, andernfalls wird das Ticket geschlossen.

Gruß,

Michael

#5 - 2018-03-21 08:49 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Kein weiteres Feedback erhalten, Ticket wird geschlossen.

#7 - 2018-03-26 16:15 - hidden

- Status changed from To Be Closed to In Progress

#9 - 2018-03-26 16:58 - hidden

- Description updated

#10 - 2018-03-26 17:11 - hidden

- Subject changed from ADTF3 in einer gemischten Windows-/Linux-Umgebung to ADTF in a mixed Windows / Linux environment

- Description updated

#11 - 2018-03-26 17:15 - hidden

- Status changed from In Progress to To Be Closed

#12 - 2018-03-27 16:38 - hidden

- Status changed from To Be Closed to Closed

#13 - 2018-03-27 16:38 - hidden

- Project changed from 20 to Public Support

- Private changed from Yes to No
